﻿@model PagedList.IPagedList<ExchangeTypeViewModel>

@{
    ViewBag.Title = $"تبادل ارز ها";
    ViewBag.Description = $"";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="box box-info">
    <div class="row" style="line-height: 30px; padding: 5px 10px 5px 10px; vertical-align: middle;">
        <div class="col-12">
            @Html.ActionLink("افزودن سفارش دستی", "Add", null, new { @class = "btn btn-primary" })
        </div>
    </div>
    <div class="box-body">
        <div class="box box-default box-solid collapsed-box">
            <div class="box-header with-border">
                <h3 class="box-title">جستجوی پیشرفته</h3>
                <div class="box-tools pull-right">
                    <button type="button" class="btn btn-box-tool" data-widget="collapse">
                        <i class="fa fa-plus"></i>
                    </button>
                </div>
                <!-- /.box-tools -->
            </div>
            <div class="box-body" style="display: none;">
                @using (Html.BeginForm("Index", FormMethod.Get))
                {
                    @Html.ValidationSummary(true, "", new { @class = "alert alert-danger" })
                    <div class="row">
                        <div class="col-3">
                            <div class="form-group">
                                @Html.TextBox("term", Request["term"] as string, new { @class = "form-control", placeholder = "Search" })
                            </div>
                        </div>
                        <div class="col-2">
                            <input value="Search" class="btn btn-primary" type="submit" />
                        </div>
                    </div>
                }
            </div>
        </div>
    </div>
</div>
<style>
    table th, tr {
        text-align: center;
        vertical-align: middle;
    }
</style>
<div class="box box-info">
    <div class="box-header with-border">
        <h4 class="box-title">@ViewBag.Title</h4>
    </div>

    <div class="box-body pad">
        <div class="row">
            <div class="col-12">
                @Html.DataTables(
                    @<thead>
                        <tr>
                            <th style="width:10px">
                                @Html.DisplayNameFor(model => model.GetObject().Id)
                            </th>
                            <th>
                                تبدیل از
                            </th>
                            <th>
                                تبدیل به
                            </th>
                            <th>
                                @Html.DisplayNameFor(model => model.GetObject().Disabled)
                            </th>
                            <th>
                                @Html.DisplayNameFor(model => model.GetObject().ExtraFeePercent)
                            </th>
                            <th>
                                <span>عملیات</span>
                            </th>
                        </tr>
                    </thead>,
            @<tbody>
                @foreach (var model in Model)
                 {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => model.Id)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => model.FromCurrencyName)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => model.ToCurrencyName)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => model.Disabled)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => model.ExtraFeePercent)
                        </td>
                        <td>
                            <div class="btn-group" style="width:217px">
                                @Html.ActionLink("ویرایش", "Edit", new { id = model.Id }, new { @class = "btn btn-warning" })
                                <a onclick="@Html.DeleteModal((int)model.Id);" class="btn btn-danger">حذف</a>
                            </div>
                        </td>
                    </tr>
                 }
            </tbody>).Order(4, DataTabledOrder.Desc)
                <div class="text-center">
                    @Html.Partial("_Paging", Model)
                </div>
                @Html.CreateDeleteModal()
            </div>
        </div>
    </div>
</div>